import path_setting
from in_common.base_request import BaseRequest


class orders_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.ORDERS_MY_V2_CONFIG)

    # 我的订单列表
    def my_v2(self,start_num,status,version):
        self.params["start_num"] = start_num
        self.params["status"] = status
        self.params["version"] = version


        return self.api_send(self.data["my_v2"])

    #我的订单-各状态订单数量
    def my_status(self):
        return self.api_send(self.data["my_status"])

if __name__ == '__main__':
    print(orders_request().my_v2(0,1,"7.44.0"))
    #打印我的订单-各状态订单数量接口返回
    print(orders_request().my_status())
